/*
Auto-generated by: https://github.com/pmndrs/gltfjsx
*/

import {
  MeshTransmissionMaterial,
  useGLTF,
  useScroll,
} from "@react-three/drei";
import { useFrame } from "@react-three/fiber";
import React, { useRef } from "react";

export function WawaCoin({ transmissionSettings, ...props }) {
  const { nodes, materials } = useGLTF("models/WawaCoin.glb");

  const data = useScroll();
  const ref = useRef();
  useFrame((_, delta) => {
    if (ref.current) {
      const rotSpeed = Math.max(1, (1 - data.curve(1 / 4, 1 / 4)) * 3);
      ref.current.rotation.z += rotSpeed * delta;
    }
  });

  return (
    <group {...props} dispose={null} ref={ref}>
      <mesh
        castShadow
        receiveShadow
        geometry={nodes.Circle.geometry}
        material={materials.glass}
      >
        <MeshTransmissionMaterial
          {...transmissionSettings}
          toneMapped={false}
        />
      </mesh>
      <mesh
        castShadow
        receiveShadow
        geometry={nodes.Text.geometry}
        material={materials["logo"]}
        position={[0, 0.088, 0.069]}
        scale={0.483}
      />
    </group>
  );
}

useGLTF.preload("models/WawaCoin.glb");
